GELF_GETMOVE(3)

NAME
gelf_getmove - Get move structure at the given index

SYNOPSIS
#include <gelf.h>
GElf_Move *gelf_getmove (Elf_Data *data, int ndx, GElf_Move *dst);

DESCRIPTION
Copy a move structure at index ndx from a SHT_SUNW_move section associated with data into a class-independent representation stored in *dst. data should be associated with an ELF section with type SHT_SUNW_move section. data->d_type should be ELF_T_MOVE. These types are Sun/Solaris extensions and are not typically used in GNU/Linux ELF files.

PARAMETERS

data
    Pointer to an Elf_Data of an SHT_SUNW_move section. data->d_type should be ELF_T_MOVE.

ndx Zero-based index of the move structure in data.

dst Pointer to a caller-provided structure for storing the requested move entry. dst must not be NULL.

RETURN VALUE
On success, this function stores the requested move structure in dst and returns dst. On failure, NULL is returned and elf_errno is set. If data is NULL, then NULL is returned without setting elf_errno.

SEE ALSO
gelf_update_move(3), libelf(3), elf(5)

ATTRIBUTES
Interface | Attribute | Value
 | Thread safety | MT-Safe

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.